# Poco

# template < class Head, class Tail >

# struct TypeList

Library: Foundation
Package: Core
Header: Poco/TypeList.h

## Description

Compile Time List of Types

## Member Summary

Member Functions: operator !=, operator <, operator =, operator ==, swap

## Types

### ConstHeadType

typedef typename TypeWrapper < HeadType >::CONSTTYPE ConstHeadType;

### ConstTailType

typedef typename TypeWrapper < TailType >::CONSTTYPE ConstTailType;

### HeadType

typedef Head HeadType;

### TailType

typedef Tail TailType;

## Enumerations

### Anonymous

length = TailType::length + 1

## Constructors

### TypeList

TypeList();

### TypeList

TypeList(
const TypeList & tl
);

### TypeList

TypeList(
ConstHeadType & h,
ConstTailType & t
);

## Member Functions

### operator !=

bool operator != (
const TypeList & tl
) const;

### operator <

bool operator < (
const TypeList & tl
) const;

### operator =

TypeList & operator = (
const TypeList & tl
);

### operator ==

bool operator == (
const TypeList & tl
) const;

### swap

void swap(
TypeList & tl
);

## Variables

### head

HeadType head;

### tail

TailType tail;